To update one or more specific attributes of a Device Group please make a PATCH request to the following URL:
HTTP Method URL PATCH https://industrial.api.ubidots.com/api/v2.0/device_groups/<device_group_key>/
Parameter Type Description <device_group_key> String The API label of the Device Group
Parameter Type Use Description token String Authentication Authentication Token can optionally be sent as a query parameter.
Parameter Type Required? Default Value Description label String Yes N/A (required) The API label of Device Group name String No Same as label Name of the Device Group organization Object No nullOrganization of Device Group tags String Array No []Device Group tags
cURL (Request)
$ curl -X PATCH 'https://industrial.api.ubidots.com/api/v2.0/device_groups/<device_group_key>' \
-H 'Content-Type: application/json' \
-H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73' \
-d '{
"url": "https://industrial.api.ubidots.com/api/v2.0/device_groups/5e1dd45a89f9bd7c4e7f1dff",
"id": "5e1dd45a89f9bd7c4e7f1dff",
"label": "elnuevogrupolabelytales",
"name": "elnuevoGrupoYTales",
"organization": {
"url": "https://industrial.api.ubidots.com/api/v2.0/organizations/5e1dc90489f9bd7c4e7f1de0",
"_deprecated_id": 6,
"id": "5e1dc90489f9bd7c4e7f1de0",
"label": "my-first-customer",
"name": "My First Customer"
},
"devices": "https://industrial.api.ubidots.com/api/v2.0/device_groups/5e1dd45a89f9bd7c4e7f1dff/devices",
"devicesNumber": 1,
"tags": ["example-tag"]
}'
200 OK 400 Bad Request 401 Unauthorized
{
"url": "https://industrial.api.ubidots.com/api/v2.0/device_groups/5e1dd45a89f9bd7c4e7f1dff",
"id": "5e1dd45a89f9bd7c4e7f1dff",
"label": "elnuevogrupolabelytales",
"name": "elnuevoGrupoYTales",
"organization": {
"url": "https://industrial.api.ubidots.com/api/v2.0/organizations/5e1dc90489f9bd7c4e7f1de0",
"_deprecated_id": 6,
"id": "5e1dc90489f9bd7c4e7f1de0",
"label": "my-first-customer",
"name": "My First Customer"
},
"devices": "https://industrial.api.ubidots.com/api/v2.0/device_groups/5e1dd45a89f9bd7c4e7f1dff/devices",
"devicesNumber": 1,
"createdAt": "2020-01-14T14:46:50.708394Z",
"tags": ["example-tag"]
}{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
Returns a Device Group object of the updated Device Group.